org.apache.ignite.internal.processors.platform.client.cache

## Class ClientCacheQueryRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.client.ClientRequest
  - - org.apache.ignite.internal.processors.platform.client.cache.ClientCacheRequest
    - - org.apache.ignite.internal.processors.platform.client.cache.ClientCacheQueryRequest

All Implemented Interfaces:
  ClientListenerRequest

Direct Known Subclasses:
  ClientCacheIndexQueryRequest, ClientCacheScanQueryRequest, ClientCacheSqlFieldsQueryRequest, ClientCacheSqlQueryRequest

    public abstract class ClientCacheQueryRequest
    extends ClientCacheRequest

Abstract query request.

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.processors.odbc.ClientListenerRequest

`HANDSHAKE`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isTransactional()` Gets a value indicating whether request was made under transaction.
`int` `txId()` Gets transaction ID.
`protected void` `updateAffinityMetrics(ClientConnectionContext ctx, int part)`

### Methods inherited from class org.apache.ignite.internal.processors.platform.client.cache.ClientCacheRequest

`cache, cacheDescriptor, cacheDescriptor, cacheId, cachex, isKeepBinary, rawCache`

### Methods inherited from class org.apache.ignite.internal.processors.platform.client.ClientRequest

`process, requestId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### updateAffinityMetrics

    protected void updateAffinityMetrics(ClientConnectionContext ctx,
                                         int part)

#### txId

    public int txId()

Gets transaction ID.

#### isTransactional

    public boolean isTransactional()

Gets a value indicating whether request was made under transaction.

Overrides:
  `isTransactional` in class `ClientCacheRequest`
Returns:
  Flag value.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023